Servers - Bug #3351

git.parabola.nu 504 gateway time-outs
2022-09-26 12:52 AM - gap

Status: in progress % Done: 0%
Priority: bug

Assignee:

Category:

Description

Over the last few days, https://git.parabola.nu has been taking ages to load and displaying many "504 Gateway Time-Out"s from
nginx 1.16.1.
Am | the only one experiencing this?

Seeing as the latest version of nginx is 1.22.0, perhaps the issue is that nginx is outdated.
| also recall bill-auger saying cgit was misbehaving, so perhaps we should migrate to another git web interface.

The server might also be busy doing other tasks like building packages, but | don't know if this is the case.
This may also be a bandwidth issue but | doubt it.

In the worst case scenario, this could be a DoS or DDoS but | highly doubt this too.

History

#1 - 2022-09-26 01:09 AM - anonymous
| had "504 gateway time-outs" problem last week many times on the resource https:/labs.parabola.nu (Issue Tracker).

#2 - 2022-09-26 03:12 AM - bill-auger

Am | the only one experiencing this?

no, it has been like that for years - the server is being
over-worked since we lost proton - just reload the page
when that happens - it will respond eventually

i assume that the solution is simply to move the web services
to a dedicated server - if i were to spend anytime investigating
the cause, or fixing it, i would probably just shut-down cgit
and use redmine to display the git repos

in any case, it is known - i sent out some more requests
this week, hoping to get a new server sponsor

#3 - 2022-11-06 09:55 AM - bill-auger

- Status changed from unconfirmed to in progress
